=== debian/changelog ===
ros-noetic-aruco-detect (0.12.0-1buster) buster; urgency=high

  * Deps python2 -> python3
  * Updated marker generation script to work with Python3  (#254 <https://github.com/UbiquityRobotics/fiducials/issues/254>)
    * Updated create marker script for python3
    * Updated to use Python 3 cairosvg module
    * Added argument to change fiducial length and scaling the marker based on it
    * Change to Python 3
    * Fixed string format
    * Changed argument name for passing in fiducial length
    * Updated marker generation script to work with Python3
    * Added a comment about why marker_gen is a separate module
    * gitignore bagfiles, we don't want them to be checked in generally
    Co-authored-by: Ajith Thomas <mailto:ajiththomas152@gmail.com>
  * Use newer constant for imread in aruco tests
  * Add missing dependencies on transport plugins
  * Merge pull request #236 <https://github.com/UbiquityRobotics/fiducials/issues/236> from UbiquityRobotics/bugfix-aruco-detect-relative-topics
    fixed aruco detect remaps to relative topic names to suport namespaces
  * Dynamic Reconfigure rosparam integration completed
  * Splitted aruco vertices detection and pose estimation.
  * Splitted detection and pose estimation.
  * Make fiducial_tf_publish a param
  * Moved fiducial tf publishing to aruco_detect node
  * Add mutex to image callback
  * Public node handle instead of leading / for namespace support
    This allows someone to start the node in a namespace and have all the
    topics remapped into the namespace automatically. Parameters are still
    kept in a private node handle so they come up in aruco_detect/*
    Fixes: https://github.com/UbiquityRobotics/fiducials/issues/183
  * Fix fiducial_len_override bug (#180 <https://github.com/UbiquityRobotics/fiducials/issues/180>)
  * Make ignored fiducials dynamically reconfigurable (#170 <https://github.com/UbiquityRobotics/fiducials/issues/170>)
    * Make ignored fiducials dynamically reconfigurable
  * Contributors: Caio Amaral, Canberk S. Gurel, Janez Cimerman, Jim Vaughan, MoffKalast, Rohan Agrawal, Teodor, Vid Rijavec, canberkgurel

 -- Jim Vaughan <jimv@mrjim.com>  Fri, 30 Jul 2021 07:00:00 -0000

ros-noetic-aruco-detect (0.11.0-1buster) buster; urgency=high

  * Compatibilty with Melodic
    
    remove opencv3 dependancy, opencv3 is no longer a package in melodic, so we use cv_bridge
    
    Fix build on OpenCV 3.2
  * Import empy with full path to avoid pip conflict
  * Use subprocess for cairosvg to avoid lack of python2 support
  * call genMarker with correct arguments with no joblib
  * Check ignoreID's in TF publishing
  * Added topic that enables/disables Aruco detections
  * Added rosdeps for cairo and joblib
  * Add params for determining weighting of observations; prevent compiler warnings
  * add cli argument for paper size to create markers
  * Contributors: Jack Kilian, Jim Vaughan, Rohan Agrawal, Tim Übelhör, jack

 -- Jim Vaughan <jimv@mrjim.com>  Thu, 09 May 2019 07:00:00 -0000

ros-noetic-aruco-detect (0.10.0-1buster) buster; urgency=high

  * Dramatically speed up create_markers using cairosvg and joblib
  * Overhaul aruco marker generation (calculate svg values)
  * Ddd new 2 tag test image
  * Add params to ignore some fiducial Ids and override sizes
  * Contributors: Jim Vaughan, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Sat, 13 Oct 2018 07:00:00 -0000

ros-noetic-aruco-detect (0.9.0-1buster) buster; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Wed, 12 Sep 2018 07:00:00 -0000

ros-noetic-aruco-detect (0.8.4-1buster) buster; urgency=high

  * Use publish_images param as intended (#106 <https://github.com/UbiquityRobotics/fiducials/issues/106>)
  * Update README.md
  * Contributors: Jim Vaughan

 -- Jim Vaughan <jimv@mrjim.com>  Sun, 26 Aug 2018 07:00:00 -0000

ros-noetic-aruco-detect (0.8.3-1buster) buster; urgency=high

  * Merge pull request #100 <https://github.com/UbiquityRobotics/fiducials/issues/100> from alex-gee/kinetic-devel
  * Add dictionary parameter to launch file
  * Contributors: Alexander Gutenkunst, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Mon, 26 Feb 2018 08:00:00 -0000

ros-noetic-aruco-detect (0.8.2-1buster) buster; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Wed, 14 Feb 2018 08:00:00 -0000

ros-noetic-aruco-detect (0.8.1-1buster) buster; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Sun, 21 Jan 2018 08:00:00 -0000

ros-noetic-aruco-detect (0.8.0-1buster) buster; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Sun, 14 Jan 2018 08:00:00 -0000

ros-noetic-aruco-detect (0.7.5-1buster) buster; urgency=high

  * Move create_markers.py to share directory
  * Make corner detection on by default.
  * Contributors: Jim Vaughan

 -- Jim Vaughan <jimv@mrjim.com>  Wed, 06 Dec 2017 08:00:00 -0000

ros-noetic-aruco-detect (0.7.4-1buster) buster; urgency=high

  * Add std=-c++-11 to build.
  * Fixes for OpenCV 3.3.1
  * handle invalid cameraInfo message in aruco_detect
  * Added (multi) pose estimation to fiducial_slam (disabled by default)
  * Contributors: Jim Vaughan, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Thu, 09 Nov 2017 08:00:00 -0000

ros-noetic-aruco-detect (0.7.3-1buster) buster; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Sun, 16 Jul 2017 07:00:00 -0000

ros-noetic-aruco-detect (0.7.2-1buster) buster; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Wed, 24 May 2017 07:00:00 -0000

ros-noetic-aruco-detect (0.7.1-1buster) buster; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Mon, 22 May 2017 07:00:00 -0000

ros-noetic-aruco-detect (0.7.0-1buster) buster; urgency=high

  * Fix dependencies
  * Added image and object error calculation. Renamed K and dist
  * Moved all service and message definitions to fiducial_msgs
  * Update copyright on aruco detect C++
  * Contributors: Jim Vaughan, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Sun, 21 May 2017 07:00:00 -0000

ros-noetic-aruco-detect (0.6.1-1buster) buster; urgency=high


