=== debian/control ===
Source: ros-noetic-aruco-detect
Section: misc
Priority: optional
Maintainer: Jim Vaughan <jimv@mrjim.com>
Build-Depends: debhelper (>= 9.0.0), python3-cairosvg, python3-joblib, ros-noetic-catkin, ros-noetic-compressed-depth-image-transport, ros-noetic-compressed-image-transport, ros-noetic-cv-bridge, ros-noetic-dynamic-reconfigure, ros-noetic-fiducial-msgs, ros-noetic-image-transport, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-theora-image-transport, ros-noetic-vision-msgs, ros-noetic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-aruco-detect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-cairosvg, python3-joblib, ros-noetic-compressed-depth-image-transport, ros-noetic-compressed-image-transport, ros-noetic-cv-bridge, ros-noetic-dynamic-reconfigure, ros-noetic-fiducial-msgs, ros-noetic-image-transport, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-theora-image-transport, ros-noetic-vision-msgs, ros-noetic-visualization-msgs
Description: Fiducial detection based on the aruco library
